org.eclipse.microprofile.openapi.apps.airlines.resources

## Interface PlayerService

    @RegisterRestClient
     @Path(value="/")
    public interface PlayerService

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getPlayerById(String id)`
`void` `recordGame(String id, int place, String token)`

### Method Detail

#### getPlayerById

    @GET
     @Path(value="/player/{playerId}")
     @Produces(value="application/json")
    String getPlayerById(@PathParam(value="playerId")
                                                                                                      String id)

#### recordGame

    @POST
     @Path(value="/rank/{playerId}/recordGame")
    void recordGame(@PathParam(value="playerId")
                                                                      String id,
                                                                      @QueryParam(value="place")
                                                                      int place,
                                                                      @HeaderParam(value="Authorization")
                                                                      String token)